> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ClearLoop Exchange by ID



## OpenAPI

````yaml /copper-open-api-public.json get /clearloop/exchanges/{exchangeId}
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /clearloop/exchanges/{exchangeId}:
    get:
      tags:
        - clearloop
      summary: Get ClearLoop Exchange by ID
      parameters:
        - in: path
          name: exchangeId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClearLoopExchangeInformation'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    ClearLoopExchangeInformation:
      properties:
        collateralDetails:
          $ref: '#/components/schemas/ClearLoopExchangeCollateralDetails'
          description: Collateral details
          type: object
        exchangeId:
          description: Exchange identifier
          type: string
        name:
          description: Human-readable name of the exchange
          type: string
        settlementDetails:
          $ref: '#/components/schemas/ClearLoopExchangeSettlementDetails'
          description: Settlements configuration details
          type: object
      required:
        - exchangeId
        - name
      type: object
    ClearLoopExchangeCollateralDetails:
      properties:
        currencies:
          items:
            $ref: '#/components/schemas/ClearLoopCurrencyCollateralDetails'
          type: array
      type: object
    ClearLoopExchangeSettlementDetails:
      properties:
        frequency:
          description: Frequency of the settlement in milliseconds
          type: string
        nextSettlementTimestamp:
          description: >-
            Unix timestamp (in milliseconds) of the date and time when the next
            settlement cycle will start
          type: string
      type: object
    ClearLoopCurrencyCollateralDetails:
      properties:
        buffer:
          description: >-
            Ratio of current collateral excess/deficit over the current
            collateral balance. Displayed as %
          type: string
        currentCollateralBalance:
          description: Current Exchange collateral balance in their ClearLoop account
          type: string
        settlementCurrency:
          type: string
        uPnL:
          description: >-
            Unrealised PnL, computed as the difference between equity balance
            and delegated balance
          type: string
        uPnLExcessDeficit:
          description: Difference between the current collateral balance and unrealised PnL
          type: string
        updatedAt:
          type: string
      type: object

````